Bug 1748665 (CVE-2019-11748) - CVE-2019-11748 Mozilla: Persistence of WebRTC permissions in a third party context
Summary: CVE-2019-11748 Mozilla: Persistence of WebRTC permissions in a third party co...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11748
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745831 1745832 1748670
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:48 UTC by Doran Moppert
Modified: 2019-09-06 00:51 UTC (History)
3 users (show)

Fixed In Version: firefox 68.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:22 UTC

Description Doran Moppert 2019-09-04 00:48:40 UTC
WebRTC in Firefox will honor persisted permissions given to sites for access to microphone and camera resources even when in a third-party context. In light of recent high profile vulnerabilities in other software, a decision was made to no longer persist these permissions. This avoids the possibility of trusted WebRTC resources being invisibly embedded in web content and abusing permissions previously given by users. Users will now be prompted for permissions on each use.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-26/#CVE-2019-11748

Comment 1 Doran Moppert 2019-09-04 00:48:43 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jan-Ivar Bruaroey

Comment 3 errata-xmlrpc 2019-09-04 20:12:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11748


Note You need to log in before you can comment on or make changes to this bug.